Skip to main content
Client Copy Agent
Rate Limit: This endpoint is limited to requests per minute per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Path Parameters

agent_id
integer
required

Body

application/json
name
string
required

Name of the agent to be created by copying the source agent.

target_workspace_id
integer | null

Optionally specify the workspace ID for the new agent.

target_folder_id
integer | null

Optionally specify the folder ID for the new agent.

Response

Successful Response

id
integer
required

The ID of this Agent.

workspace_id
integer
required

The ID of the workspace hosting this Agent.

name
string
required

The name of this Agent.

objective
string
required

A short description of this Agent's objective, e.g. "Extract key information from leases and addendum documents".

created
string<date-time>
required

When this Agent was created, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

updated
string<date-time>
required

When this Agent was last updated, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

created_by
string
required

The email address of the user who created this Agent.

agent_guidelines
AgentGuidelines · object | null
required

The Agent Guidelines that will be used for all Prompts in this Agent.

n_runs
integer
required

The number of times this Agent has been Run.

prompts
Prompt · object[]
required

The Prompts configured for this Agent.

Example:
output_templates
OutputTemplate · object[]

The Templates configured for this Agent, used to generate formatted output documents.

metadata
Metadata · object

Metadata for this Agent.

Example: